import request from '@/utils/request'

// 查询停机原因信息列表
export function listShutReason(query) {
  return request({
    url: '/dms/shutReason/list',
    method: 'get',
    params: query
  })
}

// 查询停机原因信息详细
export function getShutReason(shutReasonId) {
  return request({
    url: '/dms/shutReason/' + shutReasonId,
    method: 'get'
  })
}

// 新增停机原因信息
export function addShutReason(data) {
  return request({
    url: '/dms/shutReason',
    method: 'post',
    data: data
  })
}

// 修改停机原因信息
export function updateShutReason(data) {
  return request({
    url: '/dms/shutReason',
    method: 'put',
    data: data
  })
}

// 删除停机原因信息
export function delShutReason(shutReasonId) {
  return request({
    url: '/dms/shutReason/' + shutReasonId,
    method: 'delete'
  })
}
